<template>
  <div id="app">
    <nav class="flex items-center justify-between flex-wrap bg-teal-900 p-6">
      <div class="flex items-center flex-shrink-0 text-white mr-6">
        <span class="font-semibold text-xl tracking-tight">Buscador Gifs</span>
      </div>
      <div class="block lg:hidden">
        <button
          class="flex items-center px-3 py-2 border rounded text-teal-200 border-teal-400 hover:text-white hover:border-white">
          <svg class="fill-current h-3 w-3" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
            <title>Menu</title>
            <path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z" />
          </svg>
        </button>
      </div>
      <div class="w-full block flex-grow lg:flex lg:items-center lg:w-auto">
        <div class="text-sm lg:flex-grow">
          <router-link class="block mt-4 lg:inline-block lg:mt-0 text-teal-200 hover:text-white mr-4"
            to="/">Buscador</router-link>
          <router-link class="block mt-4 lg:inline-block lg:mt-0 text-teal-200 hover:text-white mr-4" to="/favoritos">Mis
            favoritos ({{ this.CountFavoritos }})</router-link>
        </div>
      </div>
    </nav>
    <Alert></Alert>
    <router-view />
  </div>
</template>
<style src="./assets/styles/main.css"></style>
<script>
// @ is an alias to /src
import Alert from '@/components/AlertaComponent.vue'

export default {
  name: 'AppView',
  components: {
    Alert
  },
  data() {
    return {
      CountFavoritos: 0
    };
  },
  created() {
    this.CountFavoritos = localStorage.getItem('SumFavoritos'); //this.$parent.numfavoritos;
    console.log(this.CountFavoritos)
    let me = this;
        /*Al crear el componente, declaramos una escucha en el evento VisibleAlert, que se ejecutará si algún
        componente envia un evento con este nombre*/
        this.$root.$on('CountFavoritos', (num)=>{
            me.CountFavoritos = num;
        });
  },
  computed: {
    itemsFromLocalStorage() {
      return JSON.parse(localStorage.getItem('favoritos') || '[]');
      //return localStorage.getItem('favoritos') || '[]';
    },
    numfavoritos() {
      return localStorage.getItem('SumFavoritos');
    }
  }
}
</script>